Skip to main content
POST
/
v2
/
sales
/
calculatesalesentity
Recalculate prices, discounts, and taxes for a sales entity from a client-supplied state without persisting it.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/sales/calculatesalesentity \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "changes": [
    {
      "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "lineItemChanges": {
        "create": [
          {
            "syncNumber": 123,
            "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
            "quantity": 123
          }
        ],
        "update": [
          {
            "syncNumber": 123,
            "quantity": 123,
            "salesPriceNet": 123,
            "salesPriceGross": 123,
            "discountPercent": 123,
            "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
          }
        ],
        "delete": [
          123
        ]
      },
      "currencyIso": "<string>",
      "currencyFactor": 123,
      "departureCountryIso": "<string>",
      "departureCountryStateCode": "<string>",
      "extraWeight": 123
    }
  ]
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Recalculate prices, discounts, and taxes for a sales entity from a client-supplied state without persisting it. - Request

calculateSalesEntityRequest
object

The sales entity calculation request model in the original state before any changes.

recalculateTaxMode
enum<integer>

The mode for tax recalculation (NoRecalculation, KeepNetPrices, KeepGrossPrices).

Available options:
0,
1,
2
changes
object[]

The history of changes made to the sales entity request. Changes are processed in the order specified.

Response

200 - application/json

Sales entity calculated successfully.